### Method

# Gio Task set_static_name

since: 2.76

#### Declaration

    void
    g_task_set_static_name (
      GTask* task,
      const gchar* name
    )

#### Description

Sets `task`’s name, used in debugging and profiling.

This is a variant of `g_task_set_name()` that avoids copying `name`.

Available since: 2.76

#### Parameters

`name`

  Type: `const gchar*`

  A human readable name for the task. Must be a string literal.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.